Bug 1118310 - [Doc Bug Fix] Configure Kerberos or Microsoft Active Directory Desktop SSO for Web Applications
Summary: [Doc Bug Fix] Configure Kerberos or Microsoft Active Directory Desktop SSO fo...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: eap-docs
QA Contact: Russell Dickenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-10 12:17 UTC by Mark
Modified: 2015-02-10 04:56 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Instance Name: Not Defined Build: CSProcessor Builder Version 1.7 Build Name: 8699, Development Guide-6-2 Build Date: 20-12-2012 13:59:28
Last Closed: 2015-02-10 04:56:08 UTC
Type: Bug


Attachments (Terms of Use)

Description Mark 2014-07-10 12:17:29 UTC
The documentation on configuring Kerberos and SPNEGO has an error.  The documentation provides the example Kerberos security domain as:

<security-domain name="host" cache-type="default">
   <authentication>
	  <login-module code="Kerberos" flag="required">
              ...

However, it should be:

<security-domain name="kerberos" cache-type="default">
   <authentication>
	  <login-module code="Kerberos" flag="required">
              ...

Please note the name change. Otherwise the SPNEGO security domain will not start.

Comment 1 Mark 2014-07-11 13:00:42 UTC
Actually, perhaps the bug is in the SPNEGO login module, because it does have this option in the docs:

<module-option name="serverSecurityDomain" value="host"/>

However, it was not able to find the Kerberos login module until I changed the name to kerberos.  So perhaps it's not a doc bug.


Note You need to log in before you can comment on or make changes to this bug.